LibreOffice: XFont2 Interface Reference

LibreOffice LibreOffice 7.6 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XFont2 Interface Reference

extends the XFont interface and provides additional information for a font. More...

`import <XFont2.idl;`

Inheritance diagram for XFont2:

## Public Member Functions
boolean | hasGlyphs ([in] string aText)
| checks whether or not this font has all the glyphs for the text specified by aText.
Public Member Functions inherited from XFont
com::sun::star::awt::FontDescriptor | getFontDescriptor ()
| returns the description of the font.
com::sun::star::awt::SimpleFontMetric | getFontMetric ()
| returns additional information about the font.
short | getCharWidth ([in] char c)
| returns the width of the specified character.
sequence< short > | getCharWidths ([in] char nFirst, [in] char nLast)
| returns the widths of the specified characters.
long | getStringWidth ([in] string str)
| returns the string width.
long | getStringWidthArray ([in] string str, [out] sequence< long > aDXArray)
| returns the string and the character widths.
void | getKernPairs ([out] sequence< char > Chars1, [out] sequence< char > Chars2, [out] sequence< short > Kerns)
| queries the kerning pair table.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

extends the XFont interface and provides additional information for a font.

Since
  OOo 3.0

## Member Function Documentation

## ◆ hasGlyphs()

boolean hasGlyphs | ( | [in] string | aText | ) |

checks whether or not this font has all the glyphs for the text specified by aText.

Parameters

  aText | The specified text for which glyphs are needed.

Returns
  Returns whether or not this font has all the glyphs for the specified text.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFont2.idl